# roadveh_gui.cpp File Reference

GUI for road vehicles. More...

`#include "stdafx.h"`
`#include "roadveh.h"`
`#include "window_gui.h"`
`#include "gfx_func.h"`
`#include "vehicle_gui.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "string_func.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | DrawRoadVehDetails (const Vehicle *v, int x, int y)
static int | RoadVehLengthToPixels (int length)
void | DrawRoadVehImage (const Vehicle *v, int x, int y, VehicleID selection, int count)
void | CcBuildRoadVeh (bool success, TileIndex tile, uint32 p1, uint32 p2)

## Detailed Description

GUI for road vehicles.

Definition in file roadveh_gui.cpp.